=== added file 'docs/aggregatefunctions.rst'
--- docs/aggregatefunctions.rst	1970-01-01 00:00:00 +0000
+++ docs/aggregatefunctions.rst	2011-01-04 19:30:06 +0000
@@ -0,0 +1,19 @@
+Aggregate Functions
+===================
+
+*SQL aggregate functions are calculated from values in a column, and return a single value.*
+
+General syntax for aggregate functions is: ::
+
+	SELECT "function type" ("column_name")
+	FROM "table_name"
+
+The following are examples of aggregate functions:
+
+    * AVG() - Returns the average value
+    * COUNT() - Returns the number of rows
+    * FIRST() - Returns the first value
+    * LAST() - Returns the last value
+    * MAX() - Returns the largest value
+    * MIN() - Returns the smallest value
+    * SUM() - Returns the sum
\ No newline at end of file

=== modified file 'docs/alter_schema.rst'
--- docs/alter_schema.rst	2010-12-08 16:35:20 +0000
+++ docs/alter_schema.rst	2011-01-07 03:04:54 +0000
@@ -14,7 +14,7 @@
 
 new_name
 
-    The new name of the schema. The new name cannot begin with pg_, as such names are reserved for system schemas. 
+    The new name of the schema. The new name cannot begin with "pg", as such names are reserved for system schemas. 
 
 new_owner
 

=== modified file 'docs/clients/drizzledump.rst'
--- docs/clients/drizzledump.rst	2010-12-07 21:20:16 +0000
+++ docs/clients/drizzledump.rst	2011-01-07 03:04:54 +0000
@@ -30,212 +30,212 @@
 The :program:`drizzledump` tool has several available options:
 
 .. option:: -A, --all-databases
-   
-   Dumps all databases found on the server apart from *information_schema* and
-   *data_dictionary* in Drizzle and *information_schema*, *performance_schema*
-   and *mysql* in MySQL.
+
+Dumps all databases found on the server apart from *information_schema* and
+*data_dictionary* in Drizzle and *information_schema*, *performance_schema*
+and *mysql* in MySQL.
 
 .. option:: -f, --force
 
-   Continue even if we get an sql-error.
+Continue even if we get an sql-error.
 
 .. option:: -?, --help
 
-   Show a message with all the available options.
+Show a message with all the available options.
 
 .. option:: -x, --lock-all-tables
 
-   Locks all the tables for all databases with a global read lock.  The lock is
-   released automatically when :program:`drizzledump` ends.
-   Turns on :option:`--single-transaction` and :option:`--lock-tables`.
+Locks all the tables for all databases with a global read lock.  The lock is
+released automatically when :program:`drizzledump` ends.
+Turns on :option:`--single-transaction` and :option:`--lock-tables`.
 
 .. option:: --single-transaction
 
-   Creates a consistent snapshot by dumping the tables in a single transaction.
-   During the snapshot no other connected client should use any of the
-   following as this will implicitly commit the transaction and prevent the
-   consistency::
-
-      ALTER TABLE
-      DROP TABLE
-      RENAME TABLE
-      TRUNCATE TABLE
-
-   Only works with InnoDB.
+Creates a consistent snapshot by dumping the tables in a single transaction.
+During the snapshot no other connected client should use any of the
+following as this will implicitly commit the transaction and prevent the
+consistency::
+
+	ALTER TABLE
+	DROP TABLE
+	RENAME TABLE
+	TRUNCATE TABLE
+
+Only works with InnoDB.
 
 .. option:: --skip-opt
 
-   A shortcut for :option:`--skip-drop-table`, :option:`--skip-create`, 
-   :option:`--skip-extended-insert` and :option:`--skip-disable-keys`
+A shortcut for :option:`--skip-drop-table`, :option:`--skip-create`, 
+:option:`--skip-extended-insert` and :option:`--skip-disable-keys`
 
 .. option:: --tables t1 t2 ...
 
-   Dump a list of tables.
+Dump a list of tables.
 
 .. option:: --show-progress-size rows (=10000)
 
-   Show progress of the dump every *rows* of the dump.  Requires
-   :option:`--verbose`
+Show progress of the dump every *rows* of the dump.  Requires
+:option:`--verbose`
 
 .. option:: -v, --verbose
 
-   Sends various verbose information to stderr as the dump progresses.
+Sends various verbose information to stderr as the dump progresses.
 
 .. option:: --skip-create
 
-   Do not dump the CREATE TABLE / CREATE DATABASE statements.
+Do not dump the CREATE TABLE / CREATE DATABASE statements.
 
 .. option:: --skip-extended-insert
 
-   Dump every row on an individual line.  For example::
+Dump every row on an individual line.  For example::
 
-     INSERT INTO `t1` VALUES (1,'hello');
-     INSERT INTO `t1` VALUES (2,'world');
+	INSERT INTO `t1` VALUES (1,'hello');
+	INSERT INTO `t1` VALUES (2,'world');
 
 .. option:: --skip-dump-date
 
-   Do not display the date/time at the end of the dump.
+Do not display the date/time at the end of the dump.
 
 .. option:: --no-defaults
 
-   Do not attempt to read configuration from configuration files.
+Do not attempt to read configuration from configuration files.
 
 .. option:: --add-drop-database
 
-   Add `DROP DATABASE` statements before `CREATE DATABASE`.
+Add `DROP DATABASE` statements before `CREATE DATABASE`.
 
 .. option:: --compact
 
-   Gives a more compact output by disabling header/footer comments and enabling
-   :option:`--skip-add-drop-table`, :option:`--skip-disable-keys` 
-   and :option:`--skip-add-locks`.
+Gives a more compact output by disabling header/footer comments and enabling
+:option:`--skip-add-drop-table`, :option:`--skip-disable-keys` 
+and :option:`--skip-add-locks`.
 
 .. option:: -B, --databases
 
-   Dump several databases.  The databases do not need to follow on after this
-   option, they can be anywhere in the command line.
+Dump several databases.  The databases do not need to follow on after this
+option, they can be anywhere in the command line.
 
 .. option:: -K, --skip-disable-keys
 
-   Do not dump the statements `ALTER TABLE ... DISABLE KEYS` and
-   `ALTER TABLE ... ENABLE KEYS`
+Do not dump the statements `ALTER TABLE ... DISABLE KEYS` and
+`ALTER TABLE ... ENABLE KEYS`
 
 .. option:: --ignore-table table
 
-   Do not dump specified table, needs to be in the format `database.table`.
-   Can be specified multiple times for multiple tables.
+Do not dump specified table, needs to be in the format `database.table`.
+Can be specified multiple times for multiple tables.
 
 .. option:: --insert-ignore
 
-   Add the `IGNORE` keyword into every `INSERT` statement.
+Add the `IGNORE` keyword into every `INSERT` statement.
 
 .. option:: --no-autocommit
 
-   Make the dump of each table a single transaction by wrapping it in `COMMIT`
-   statements.
+Make the dump of each table a single transaction by wrapping it in `COMMIT`
+statements.
 
 .. option:: -n, --no-create-db
 
-   Do not dump the `CREATE DATABASE` statements when using
-   :option:`--all-databases` or :option:`--databases`.
+Do not dump the `CREATE DATABASE` statements when using
+:option:`--all-databases` or :option:`--databases`.
 
 .. option:: -t, --skip-create
-   
-   Do not dump the `CREATE TABLE` statements.
+
+Do not dump the `CREATE TABLE` statements.
 
 .. option:: -d, --no-data
 
-   Do not dump the data itself, used to dump the schemas only.
+Do not dump the data itself, used to dump the schemas only.
 
 .. option:: --replace
 
-   Use `REPLACE INTO` statements instead of `INSERT INTO`
+Use `REPLACE INTO` statements instead of `INSERT INTO`
 
 .. option:: --destination-type type (=stdout)
 
-   Destination of the data.
-
-   **stdout**
-      The default.  Output to the command line
-
-   **database**
-      Connect to another database and pipe data to that.
-
-   .. versionadded:: 2010-09-27
+Destination of the data.
+
+**stdout**
+The default.  Output to the command line
+
+**database**
+Connect to another database and pipe data to that.
+
+.. versionadded:: 2010-09-27
 
 .. option:: --destination-host hostname (=localhost)
 
-   The hostname for the destination database.  Requires
-   :option:`--destination-type` `= database`
+The hostname for the destination database.  Requires
+:option:`--destination-type` `= database`
 
-   .. versionadded:: 2010-09-27
+.. versionadded:: 2010-09-27
 
 .. option:: --destination-port port (=3306)
 
-   The port number for the destination database.  Requires
-   :option:`--destination-type` `= database`
+The port number for the destination database.  Requires
+:option:`--destination-type` `= database`
 
-  .. versionadded:: 2010-09-27
+.. versionadded:: 2010-09-27
 
 .. option:: --destination-user username
 
-   The username for the destinations database.  Requires
-   :option:`--destination-type` `= database`
+The username for the destinations database.  Requires
+:option:`--destination-type` `= database`
 
-  .. versionadded:: 2010-09-27
+.. versionadded:: 2010-09-27
 
 .. option:: --destination-password password
 
-   The password for the destination database.  Requires
-   :option:`--destination-type` `= database`
+The password for the destination database.  Requires
+:option:`--destination-type` `= database`
 
-  .. versionadded:: 2010-09-27
+.. versionadded:: 2010-09-27
 
 .. option:: --destination-database database
 
-   The database for the destination database, for use when only dumping a
-   single database.  Requires
-   :option:`--destination-type` `= database`
+The database for the destination database, for use when only dumping a
+single database.  Requires
+:option:`--destination-type` `= database`
 
-  .. versionadded:: 2010-09-27
+.. versionadded:: 2010-09-27
 
 .. option:: -h, --host hostname (=localhost)
 
-   The hostname of the database server.
+The hostname of the database server.
 
 .. option:: -u, --user username
 
-   The username for the database server.
+The username for the database server.
 
 .. option:: -P, --password password
 
-   The password for the database server.
+The password for the database server.
 
 .. option:: -p, --port port (=3306,4427)
 
-   The port number of the database server.  Defaults to 3306 for MySQL protocol
-   and 4427 for Drizzle protocol.
+The port number of the database server.  Defaults to 3306 for MySQL protocol
+and 4427 for Drizzle protocol.
 
 .. option:: --protocol protocol (=mysql)
 
-   The protocol to use when connecting to the database server.  Options are:
-
-   **mysql**
-      The standard MySQL protocol.
-
-   **drizzle**
-      The Drizzle protocol.
+The protocol to use when connecting to the database server.  Options are:
+
+**mysql**
+The standard MySQL protocol.
+
+**drizzle**
+The Drizzle protocol.
 
 Backups using Drizzledump
 -------------------------
 
 Backups of a database can be made very simply by running the following::
 
-     $ drizzledump --all-databases > dumpfile.sql
+$ drizzledump --all-databases > dumpfile.sql
 
 This can then be re-imported into drizzle at a later date using::
 
-     $ drizzle < dumpfile.sql
+$ drizzle < dumpfile.sql
 
 MySQL Migration using Drizzledump
 ---------------------------------
@@ -251,12 +251,12 @@
 So, simply connecting to a MySQL server with :program:`drizzledump` as follows
 will give you a Drizzle compatible output::
 
-     $ drizzledump --all-databases --host=mysql-host --user=mysql-user --password > dumpfile.sql
+$ drizzledump --all-databases --host=mysql-host --user=mysql-user --password > dumpfile.sql
 
 Additionally :program:`drizzledump` can now dump from MySQL and import directly
 into a Drizzle server as follows::
 
-     $ drizzledump --all-databases --host=mysql-host --user=mysql-user --password --destination-type=database --desination-host=drizzle-host
+$ drizzledump --all-databases --host=mysql-host --user=mysql-user --password --destination-type=database --desination-host=drizzle-host
 
 When you migrate from MySQL to Drizzle, the following conversions are required:
 
@@ -275,7 +275,7 @@
 time -> int (of seconds)
 year -> int
 set -> text
-date/datetime default 0000-00-00 -> default NULL *(Currently, ALL date columns have their DEFAULT set to NULL on migration)
+date/datetime default 0000-00-00 -> default NULL (Currently, ALL date columns have their DEFAULT set to NULL on migration)
 date/datetime NOT NULL columns -> NULL
 any date data containing 0000-00-00 -> NULL
 enum-> DEFAULT NULL
\ No newline at end of file

=== modified file 'docs/columntypes.rst'
--- docs/columntypes.rst	2010-12-23 23:50:57 +0000
+++ docs/columntypes.rst	2011-01-07 00:24:26 +0000
@@ -10,16 +10,6 @@
 The only difference between the two types is the COLLATION which is
 used. VARBINARY uses a binary collation for all index usage.
 
-VARCHAR Range: 1 to 255 Characters.
-
-VARBINARY Range: 1 to 255 Bytes.
-
-----
-CHAR
-----
-
-CHAR data type maps to a VARCHAR. CHAR will convert to a VARCHAR automatically. 
-
 -------------
 TEXT and BLOB
 -------------
@@ -29,20 +19,12 @@
 be used. The only difference between the two types is the COLLATION which is
 used. A BLOB usees a binary collation for all index usage.
 
-TEXT Range: 1 to 4,294,967,295 Charcters.
-
-BLOB Range: 1 to 4,294,967,295 Bytes. 
-
-
 ---------
 NUMERICAL
 ---------
 
-BIGINT and INTEGER exist as Drizzle's two integer numerical types. BIGINT is a  64bit integer while INTEGER is a 32bit integer.
-
-AUTO_INCREMENT is supported for INT and BIGINT.
-
-INT Range: -2,147,483,647 to 2,147,483,647.
+BIGINT and INTEGER exist as Drizzle's two integer numerical types. BIGINT is
+a 64bit integer while INTEGER is a 32bit integer.
 
 DOUBLE is the systems native double type.
 
@@ -52,11 +34,11 @@
 TEMPORAL
 --------
 
-DATETIME (Date and Time Value, 64 bit)
-
-TIMESTAMP (Date and Time Value, 64bit)
-
-DATE (Date without time)
+DATETIME
+
+TIMESTAMP
+
+DATE
 
 ----
 ENUM

=== modified file 'docs/create_table.rst'
--- docs/create_table.rst	2010-12-04 02:38:29 +0000
+++ docs/create_table.rst	2011-01-07 03:04:54 +0000
@@ -21,6 +21,7 @@
     [engine_options]
 
 create_definition:
+
     column_name column_definition
   | [CONSTRAINT [symbol] ] PRIMARY KEY [index_type]
     (index_column_name, ...)
@@ -33,12 +34,14 @@
   | CHECK (expr)
 
 column_definition:
+
   data_type [NOT NULL | NULL] [DEFAULT default_value]
     [AUTO_INCREMENT] [UNIQUE [KEY] | [PRIMARY] KEY]
     [COMMENT 'string']
     [reference_definition]
 
 data_type:
+
   | INTEGER
   | BIGINT
   | DOUBLE[(length, decimals)]

=== added file 'docs/distinct.rst'
--- docs/distinct.rst	1970-01-01 00:00:00 +0000
+++ docs/distinct.rst	2011-01-06 02:14:40 +0000
@@ -0,0 +1,39 @@
+Distinct
+========
+
+In a table, columns may contain more than one of the same value. 
+
+Sometimes it's helpful to list only the different, distinct values in a table; in this case the DISTINCT keyword can be used.
+
+SQL SELECT DISTINCT Syntax: ::
+
+	SELECT DISTINCT column_name(s)
+	FROM table_name
+
+**SELECT DISTINCT Example**
+
+The "Persons" table:
+
++---------+------------+----------+----------+--------+
+|Id 	  |LastName    |FirstName |Address   |  City  |
++=========+============+==========+==========+========+
+| 1 	  | Larson     | Sue      |3 Cherry  | Chicago|
++---------+------------+----------+----------+--------+
+| 2 	  | Roberts    | Teri 	  |21 Brown  | Chicago|
++---------+------------+----------+----------+--------+
+| 3 	  | Peterson   | Kari 	  |30 Mell   | Reno   |
++---------+------------+----------+----------+--------+
+
+In order to select distinct values from the column named "City" from the table above, use the following SELECT statement: ::
+
+	SELECT DISTINCT City FROM Persons;
+
+The result-set will look like this:
+
++--------+
+|City    |
++========+
+|Chicago |
++--------+
+|Reno    |
++--------+

=== modified file 'docs/flush.rst'
--- docs/flush.rst	2010-12-19 22:50:00 +0000
+++ docs/flush.rst	2011-01-07 03:04:54 +0000
@@ -7,13 +7,21 @@
     flush_option [, flush_option] ...
 
 flush_option:
-    | TABLES table_name [, table_name] ...
-    (closes all specified tables, forces those tables in use to be closed, and flushes the query cache for the named tables)
-    | TABLES WITH READ LOCK
-    (closes all open tables and locks all tables for all databases with a global read lock*)
-    | LOGS
-    (closes and reopens all log files--if binary logging is enabled, the sequence number of the binary log file is incremented by one relative to the previous file)
-    | STATUS
-    (adds the current thread's session status variable values to the global values and resets the session values to zero)
+
+* TABLES table_name [, table_name]
+	
+(closes all specified tables, forces those tables in use to be closed, and flushes the query cache for the named tables)
+
+* TABLES WITH READ LOCK
+	
+(closes all open tables and locks all tables for all databases with a global read lock*)
+
+* LOGS
+	
+(closes and reopens all log files--if binary logging is enabled, the sequence number of the binary log file is incremented by one relative to the previous file)
+
+* STATUS
+	
+(adds the current thread's session status variable values to the global values and resets the session values to zero)
     
-*To release a FLUSH TABLES WITH READ LOCK, you must issue an UNLOCK TABLES.
+To release a FLUSH TABLES WITH READ LOCK, you must issue an UNLOCK TABLES.

=== added file 'docs/functions.rst'
--- docs/functions.rst	1970-01-01 00:00:00 +0000
+++ docs/functions.rst	2011-01-04 19:30:06 +0000
@@ -0,0 +1,10 @@
+SQL Functions
+=============
+
+Several SQL functions are built into Drizzle--functions perform calculations on data. They can be divided into two general types: 
+   
+.. toctree::
+   :maxdepth: 2
+
+   aggregatefunctions
+   scalarfunctions
\ No newline at end of file

=== added file 'docs/groupby.rst'
--- docs/groupby.rst	1970-01-01 00:00:00 +0000
+++ docs/groupby.rst	2011-01-04 00:52:43 +0000
@@ -0,0 +1,82 @@
+Group By
+========
+
+The GROUP BY clause is used to extract only those records that fulfill a specified criterion.
+
+SQL GROUP BY Syntax ::
+
+	SELECT column_name, aggregate_function(column_name)
+	FROM table_name
+	WHERE column_name operator value
+	GROUP BY column_name
+
+	
+**GROUP BY Clause Example**
+
+The "Activities" table:
+
++---------+--------------+--------------+-------------+----------+
+|Id       |ActivityDate  |ActivityType  |ActivityCost | userID   |
++=========+==============+==============+=============+==========+
+| 1       |2011-01-02    | Sport        |45           |131       |
++---------+--------------+--------------+-------------+----------+
+| 2       |2011-01-02    | Art          |10           |256       |
++---------+--------------+--------------+-------------+----------+
+| 3       |2011-01-02    | Music        |25           |022       |
++---------+--------------+--------------+-------------+----------+
+| 4       |2011-01-02    | Food         |125          |022       |
++---------+--------------+--------------+-------------+----------+
+| 5       |2011-01-03    | Music        |40           |131       |
++---------+--------------+--------------+-------------+----------+
+| 6       |2011-01-03    | Food         |20           |175       |
++---------+--------------+--------------+-------------+----------+
+
+Running the following simple query::
+
+	SELECT userID
+	FROM activities
+	GROUP BY userID;
+ 
+Returns:
+
++---------+
+| userID  |
++=========+
+| 131     |
++---------+
+| 256     |
++---------+
+| 022     |
++---------+
+| 175     |
++---------+
+
+(This shows that GROUP BY accepts a column_name and consolidates like customer values.)
+
+However, GROUP BY is much more powerful when used with an aggregate function. Let's say you want to find the total amount spent by each unique User.
+
+You could use the following SQL statement: ::
+	
+	SELECT userID,SUM(ActivityCost) AS "Activity Total"
+	FROM Activities
+	GROUP BY userID;
+
+The result-set will look like this:
+
+======    ==============
+userID    Activity Total
+======    ==============
+131       85             
+256       10             
+022       150            
+175       20             
+======    ==============
+
+With the aggregate SUM() function, SQL can calculate how much each unique user has spent on activities over time.
+
+We can also use the GROUP BY statement on more than one column, like this: ::
+	
+	SELECT userID,ActivityDate,SUM(ActivityCost) 
+	FROM Activities
+	GROUP BY userID,ActivityDate;
+

=== added file 'docs/having.rst'
--- docs/having.rst	1970-01-01 00:00:00 +0000
+++ docs/having.rst	2011-01-06 02:14:40 +0000
@@ -0,0 +1,64 @@
+Having
+======
+
+The WHERE keyword cannot be used with aggregate functions, but the HAVING clause can be; this is its primary use.
+
+SQL HAVING Syntax: ::
+
+	SELECT column_name, aggregate_function(column_name)
+	FROM table_name
+	WHERE column_name operator value
+	GROUP BY column_name
+	HAVING aggregate_function(column_name) operator value
+
+**SQL HAVING Example**
+
+Take a look at the "Activities" table:
+
++---------+--------------+--------------+-------------+----------+
+|Id       |ActivityDate  |ActivityType  |ActivityCost | userID   |
++=========+==============+==============+=============+==========+
+| 1       |2011-01-02    | Sport        |45           |131       |
++---------+--------------+--------------+-------------+----------+
+| 2       |2011-01-02    | Art          |10           |256       |
++---------+--------------+--------------+-------------+----------+
+| 3       |2011-01-02    | Music        |25           |022       |
++---------+--------------+--------------+-------------+----------+
+| 4       |2011-01-02    | Food         |125          |022       |
++---------+--------------+--------------+-------------+----------+
+| 5       |2011-01-03    | Music        |40           |131       |
++---------+--------------+--------------+-------------+----------+
+| 6       |2011-01-03    | Food         |20           |175       |
++---------+--------------+--------------+-------------+----------+
+
+In order to find if any users have spent more than $100 on recreational activities, use the following SQL statement: ::
+
+	SELECT userID,SUM(ActivityCost) FROM Activities
+	GROUP BY userID
+	HAVING SUM(ActivityCost)>100;
+
+The result-set will look like this:
+
+======    ===============
+userID    SUM(OrderPrice)
+======    ===============            
+022       150                  
+======    ===============
+
+Now we want to find if userIDs "131", "256", or "175" spent less than $50 on Activities.
+
+We add an ordinary WHERE clause to the SQL statement: ::
+
+	SELECT userID,SUM(ActivityCost) FROM Activities
+	WHERE userID='131' OR userID='256' OR userID="175"
+	GROUP BY userID
+	HAVING SUM(ActivityCost)<50;
+
+The result-set would be:
+
+======    ===============
+userID    SUM(OrderPrice)
+======    ===============            
+256       10
+175       20                  
+======    ===============

=== modified file 'docs/index.rst'
--- docs/index.rst	2010-12-20 21:56:40 +0000
+++ docs/index.rst	2011-01-07 03:49:07 +0000
@@ -41,6 +41,7 @@
    :maxdepth: 2
 
    queries
+   functions
    ddl
    dml
    columntypes 
@@ -59,9 +60,9 @@
    :maxdepth: 2
 
    storage_engines
+   using_replication
    logging
 
-
 Configuration:
 ^^^^^^^^^^^^^^
 .. toctree::
@@ -75,8 +76,6 @@
 .. toctree::
    :maxdepth: 2
 
-   plugins/list
-
 Architecture:
 ^^^^^^^^^^^^^
 .. toctree::

=== modified file 'docs/indexes.rst'
--- docs/indexes.rst	2010-12-23 23:50:57 +0000
+++ docs/indexes.rst	2011-01-07 00:24:26 +0000
@@ -12,30 +12,6 @@
 the possibility to store indexes in memory for a table whose data is too
 large to store in memory."
 
-Supported Index Types:
-
-INDEX
-
-
-
-UNIQUE
-
-PRIMARY KEY
-
-HASH
-
-B-tree
-
-
-
-
-
-Drizzle no longer supports FULLTEXT or R-trees
-
-
-
-
-
 
 .. toctree::
    :maxdepth: 2

=== added file 'docs/join.rst'
--- docs/join.rst	1970-01-01 00:00:00 +0000
+++ docs/join.rst	2011-01-07 03:04:54 +0000
@@ -0,0 +1,52 @@
+Join
+====
+
+The JOIN keyword is used in an SQL statement to query data from two or more tables, based on a relationship between certain columns in these tables.
+
+Queries can access multiple tables at once, or access the same table in such a way that multiple rows of the table are being processed at the same time. For instance, in order to list all the 'interest' records together with the location of the associated city. To do this, it's necessary to compare the city column of each row of the 'Interests" table with the name column of all rows in the cities table, and select the pairs of rows where these values match. As such, a JOIN statement involves combining records from two tables by using values common to each. 
+
+Take the "Interests" table:
+
++---------+--------------+--------------+-------------+----------+
+|Id       |DateAdded     |InterestType  |Name         | userID   |
++=========+==============+==============+=============+==========+
+| 1       |2011-01-02    | Sport        |45           |2         |
++---------+--------------+--------------+-------------+----------+
+| 2       |2011-01-02    | Art          |10           |4         |
++---------+--------------+--------------+-------------+----------+
+| 3       |2011-01-02    | Music        |25           |1         |
++---------+--------------+--------------+-------------+----------+
+| 4       |2011-01-02    | Food         |125          |1         |
++---------+--------------+--------------+-------------+----------+
+| 5       |2011-01-03    | Music        |40           |2         |
++---------+--------------+--------------+-------------+----------+
+| 6       |2011-01-03    | Food         |20           |3         |
++---------+--------------+--------------+-------------+----------+
+
+
+Note that the "Id" column is the primary key in the "Persons" table. This means that no two rows can have the same "Id"; it distinguishes two interests even if they have the same name or userID.
+
+Next, we have the "Persons" table:
+
++---------+------------+----------+----------+--------+
+|userId	  |LastName    |FirstName |Address   |  City  |
++=========+============+==========+==========+========+
+| 1 	  | Larson     | Sue      |3 Cherry  | Chicago|
++---------+------------+----------+----------+--------+
+| 2 	  | Roberts    | Teri 	  |21 Brown  | Chicago|
++---------+------------+----------+----------+--------+
+| 3 	  | Peterson   | Kari 	  |30 Mell   | Reno   |
++---------+------------+----------+----------+--------+
+| 4	  | Anderson   | Kyle 	  |435 Tyler | Dayton |
++---------+------------+----------+----------+--------+
+
+The "userID" column is the primary key in the "Persons" table; in the "Persons" table, it can be used to identify users without using their names. Therefore, the relationship between the two tables above is the "userId" column.
+
+**Different kinds of SQL JOINs**
+
+Here are the types of JOIN you can use, and the differences between them. Click for detailed syntax and examples:
+
+    * JOIN: Return rows when there is at least one match in both tables
+    * LEFT JOIN: Return all rows from the left table, even if there are no matches in the right table
+    * RIGHT JOIN: Return all rows from the right table, even if there are no matches in the left table
+    * FULL JOIN: Return rows when there is a match in one of the tables

=== modified file 'docs/libdrizzle/connection.rst'
--- docs/libdrizzle/connection.rst	2010-10-11 06:27:10 +0000
+++ docs/libdrizzle/connection.rst	2011-01-07 03:04:54 +0000
@@ -137,9 +137,7 @@
 Functions for Servers
 ^^^^^^^^^^^^^^^^^^^^^
 
-These functions extend the core connection functions with a set of functions
-for server application use. These functions allow you to set raw handshake
-  information for use with the handshake write functions.
+These functions extend the core connection functions with a set of functions for server application use. These functions allow you to set raw handshake information for use with the handshake write functions.
 
 
 .. c:function:: drizzle_return_t  drizzle_con_listen (drizzle_con_st *con)

=== modified file 'docs/mysql_differences.rst'
--- docs/mysql_differences.rst	2010-12-07 04:05:17 +0000
+++ docs/mysql_differences.rst	2011-01-07 03:04:54 +0000
@@ -180,7 +180,14 @@
 Operators Removed
 -----------------
 
-Bit operators: &&, >>, <<, ~, ^, |, &
+Bit operators: 
+* &&
+* >>
+* <<
+* ~
+* ^
+* |
+* &
 
 Removed functions
 -----------------

=== added file 'docs/orderby.rst'
--- docs/orderby.rst	1970-01-01 00:00:00 +0000
+++ docs/orderby.rst	2011-01-07 02:20:59 +0000
@@ -0,0 +1,46 @@
+Order By
+========
+
+The ORDER BY keyword is used to sort the result-set by column; by default, it sorts the records in ascending order.
+
+SQL ORDER BY Syntax: ::
+
+	SELECT column_name(s)
+	FROM table_name
+	ORDER BY column_name(s) ASC|DESC;
+
+**ORDER BY Example**
+
+The "Persons" table:
+
++---------+------------+----------+----------+--------+
+|Id 	  |LastName    |FirstName |Address   |  City  |
++=========+============+==========+==========+========+
+| 1 	  | Larson     | Sue      |3 Cherry  | Chicago|
++---------+------------+----------+----------+--------+
+| 2 	  | Roberts    | Teri 	  |21 Brown  | Chicago|
++---------+------------+----------+----------+--------+
+| 3 	  | Peterson   | Kari 	  |30 Mell   | Reno   |
++---------+------------+----------+----------+--------+
+
+To select all the persons from the table above, and also sort them by their last name, use the following SELECT statement: ::
+
+	SELECT * FROM Persons
+	ORDER BY LastName;
+
+The result-set will look like this:
+
++---------+------------+----------+----------+--------+
+|Id 	  |LastName    |FirstName |Address   |  City  |
++=========+============+==========+==========+========+
+| 1 	  | Larson     | Sue      |3 Cherry  | Chicago|
++---------+------------+----------+----------+--------+
+| 3 	  | Peterson   | Kari 	  |30 Mell   | Reno   |
++---------+------------+----------+----------+--------+
+| 2 	  | Roberts    | Teri 	  |21 Brown  | Chicago|
++---------+------------+----------+----------+--------+
+
+ORDER BY DESC can be used to reverse the order of the result set. ::
+
+	SELECT * FROM Persons
+	ORDER BY LastName DESC;

=== modified file 'docs/queries.rst'
--- docs/queries.rst	2010-12-19 22:50:00 +0000
+++ docs/queries.rst	2011-01-07 03:49:07 +0000
@@ -10,15 +10,19 @@
 
 	SELECT * FROM table_name;
 
-SELECT * FROM is an example of using SELECT with a clause. The select clause specifies the columns you want to retrieve. The from clause specifies the tables to search. 
+SELECT * FROM is an example of using SELECT with clauses. The select clause specifies the columns you want to retrieve. The from clause specifies the tables to search. 
 
 Keywords and clauses include:
 
-* The FROM clause
-* The WHERE clause
-* The GROUP BY clause
-* The HAVING clause
-* The ORDER BY clause
+.. toctree::
+   :maxdepth: 2
+
+   where
+   distinct
+   groupby
+   having
+   orderby
+   join
 
 For example, ::
 
@@ -26,8 +30,8 @@
 	FROM table_name
 	WHERE first_column_name > 1000;
 
-*The column names that follow the SELECT keyword determine the columns that will be returned in the results. You can select as many column names that you'd like, or you can use a * to select all columns (as shown in the first example above). The order in which they are specified will be reflected in your query results.
-
-*The table name that follows the keyword FROM specifies the table that will be queried to retrieve the desired results.
-
-*The WHERE clause (optional) specifies the data values or rows to be returned or displayed, based on the criteria described after the keyword WHERE.
\ No newline at end of file
+The column names that follow the SELECT keyword determine the columns that will be returned in the results. You can select as many column names that you'd like, or you can use a * to select all columns (as shown in the first example above). The order in which they are specified will be reflected in your query results.
+
+The table name that follows the keyword FROM specifies the table that will be queried to retrieve the desired results.
+
+The WHERE clause (optional) specifies the data values or rows to be returned or displayed, based on the criteria described after the keyword WHERE.
\ No newline at end of file

=== added file 'docs/scalarfunctions.rst'
--- docs/scalarfunctions.rst	1970-01-01 00:00:00 +0000
+++ docs/scalarfunctions.rst	2011-01-04 19:30:06 +0000
@@ -0,0 +1,21 @@
+Scalar functions
+================
+
+*SQL scalar functions are based on the input value, and return a single value.*
+
+General syntax for scalar functions is: ::
+
+	SELECT "function type" ("column_name")
+	FROM "table_name"
+
+Click on the following scalar functions to learn more:
+
+    * UCASE() - Converts a field to upper case
+    * LCASE() - Converts a field to lower case
+    * MID() - Extract characters from a text field
+    * LEN() - Returns the length of a text field
+    * ROUND() - Rounds a numeric field to the number of decimals specified
+    * NOW() - Returns the current system date and time
+    * FORMAT() - Formats how a field is to be displayed
+
+

=== added file 'docs/tungsten.rst'
--- docs/tungsten.rst	1970-01-01 00:00:00 +0000
+++ docs/tungsten.rst	2011-01-07 03:49:07 +0000
@@ -0,0 +1,2 @@
+Tungsten
+========
\ No newline at end of file

=== added file 'docs/using_replication.rst'
--- docs/using_replication.rst	1970-01-01 00:00:00 +0000
+++ docs/using_replication.rst	2011-01-07 03:49:07 +0000
@@ -0,0 +1,9 @@
+Replication
+===========
+
+Learn more about:
+
+.. toctree::
+   :maxdepth: 2
+
+   tungsten
\ No newline at end of file

=== added file 'docs/where.rst'
--- docs/where.rst	1970-01-01 00:00:00 +0000
+++ docs/where.rst	2011-01-03 22:31:39 +0000
@@ -0,0 +1,39 @@
+Where
+=====
+
+The WHERE clause is used to extract only those records that fulfill a specified criterion.
+
+SQL WHERE Syntax ::
+
+	SELECT column_name(s)
+	FROM table_name
+	WHERE column_name operator value
+	
+**WHERE Clause Example**
+
+The "Persons" table:
+
++---------+------------+----------+----------+--------+
+|Id 	  |LastName    |FirstName |Address   |  City  |
++=========+============+==========+==========+========+
+| 1 	  | Larson     | Sue      |3 Cherry  | Chicago|
++---------+------------+----------+----------+--------+
+| 2 	  | Roberts    | Teri 	  |21 Brown  | Chicago|
++---------+------------+----------+----------+--------+
+| 3 	  | Peterson   | Kari 	  |30 Mell   | Reno   |
++---------+------------+----------+----------+--------+
+ 
+If you want to select only the persons living in the city "Chicago" from the table above, use the following SELECT statement: ::
+
+	SELECT * FROM Persons
+	WHERE City='Chicago'
+
+The result-set will look like this:
+
++---------+------------+----------+----------+--------+
+| Id 	  |LastName    |FirstName |Address   |City    |
++---------+------------+----------+----------+--------+
+|1 	  | Larson     | Sue 	  |3 Cherry  | Chicago|
++---------+------------+----------+----------+--------+
+|2 	  | Roberts    | Teri 	  |21 Brown  | Chicago|
++---------+------------+----------+----------+--------+
\ No newline at end of file

